Subject: RE: [Simple] notes from the SIMPLE components adhoc at IETF53

From: "Carr, Wayne" <[email-masked]>
Date: Tue, 7 May 2002 12:20:22 -0700

I had overspecified by including both minInclusive="0" and maxInclusive="1"
and then accidentally deleted both instead of just minInclusive and didn't
retest it. What I should have written was: 

  <xs:simpleType name="qvalue">
    <xs:restriction base="xs:decimal">
      <xs:maxInclusive value="1" />
      <xs:pattern value="(0|1)(\.[0-9]{0,3})?"/>
    </xs:restriction>
  </xs:simpleType>

Here's another way of specifying it that more directly mirrors
http://search.ietf.org/internet-drafts/draft-ietf-sip-rfc2543bis-09.txt
(that's what I'm assuming this definition for SIP is coming from):

  <xs:simpleType name="qvalue">
    <xs:restriction base="xs:decimal">
      <xs:pattern value="0(\.[0-9]{0,3})?"/>
      <xs:pattern value="1(\.0{0,3})?"/>
    </xs:restriction>
  </xs:simpleType>

> -----Original Message-----
> From: Paul Kyzivat [mailto:[email-masked]]
> Sent: Tuesday, May 07, 2002 6:01 AM
> To: Carr, Wayne
> Cc: [email-masked]; 'Henning G. Schulzrinne'; 'Jonathan Rosenberg';
> 'Robert Sparks'; [email-masked]; [email-masked]
> Subject: Re: [Simple] notes from the SIMPLE components adhoc at IETF53
> 
> 
> Wayne,
> 
> I think what you seem to be suggesting below would work for 
> me. But while I am pretty much illiterate in XML, 
> "(0|1)(\.[0-9]{0,3})?" looks to me like it describes values in
> range [0.000,1.999]. I would think something like 
> "0|((0)?(\.[0-9]{0,3}))|(1(\.(0){0,3})?)" is needed to 
> express the intent accurately.
> 
> 	Paul
> 
> "Carr, Wayne" wrote:
> > 
> > > Wayne - Is it possible to consider changing priority to be a
> > > float in range [0.0-1.0], for consistency with the sip
> > > specification? (Or is there something else this also
> > > needs to be consistent with?)
> > 
> > The group was looking to see if the range needed to be 
> changed for 'simple'.
> > I don't know if there are constraints that it be integer.  
> The q values
> > proposed in SIP are the same as in HTTP, restricted to at 
> most 3 decimal
> > fractional digits (just decimal, not float notation with 
> 'e').  Here's that
> > type defined in XML Schema.
> > 
> >   <xs:simpleType name="qvalue">
> >     <xs:restriction base="xs:decimal">
> >       <xs:pattern value="(0|1)(\.[0-9]{0,3})?"/>
> >     </xs:restriction>
> >   </xs:simpleType>
> > 
> > Another option if the impp presence value needed to be an 
> integer, would be
> > a range that's mappable easily to qvalue like [0..1000]
> > 
> > > -----Original Message-----
> > > From: Paul Kyzivat [mailto:[email-masked]]
> > > Sent: Monday, May 06, 2002 8:13 AM
> > > To: Carr, Wayne
> > > Cc: [email-masked]; 'Henning G. Schulzrinne'; 'Jonathan 
> Rosenberg';
> > > 'Robert Sparks'; [email-masked]; [email-masked]
> > > Subject: Re: [Simple] notes from the SIMPLE components 
> adhoc at IETF53
> > >
> > >
> > > Wayne - Is it possible to consider changing priority to be a
> > > float in range [0.0-1.0], for consistency with the sip
> > > specification? (Or is there something else this also
> > > needs to be consistent with?)
> > >
> > >       Paul
> > >
> > > "Carr, Wayne" wrote:
> > > >
> > > > > Hmm - good question. I had not looked very closely at the
> > > > > schema, and hadn't noticed that the priority range was 0-255.
> > > >
> > > > It's defined as that range in "4.1.5. The <contact>
> > > element" ... "The value
> > > > of the
> > > >    attribute MUST be an integer ranged from 0 to 255."  I
> > > put it in the
> > > > schema to mirror that.
> > > >
> > > > xml schema datatypes has IEEE floats and doubles and 
> can set ranges.
> > >
> > >
> > >
> > > >
> > > > > -----Original Message-----
> > > > > From: Paul Kyzivat [mailto:[email-masked]]
> > > > > Sent: Wednesday, May 01, 2002 12:25 PM
> > > > > To: [email-masked]
> > > > > Cc: 'Henning G. Schulzrinne'; 'Jonathan Rosenberg';
> > > 'Robert Sparks';
> > > > > [email-masked]; [email-masked]
> > > > > Subject: Re: [Simple] notes from the SIMPLE components
> > > adhoc at IETF53
> > > > >
> > > > >
> > > > > Adrian Bateman wrote:
> > > > > >
> > > > > > On 06 April 2002 00:11, Paul Kyzivat wrote:
> > > > > > > Callerprefs provide a number of dimensions on which
> > > to classify a
> > > > > > > contact (tuple). These could be mapped directly to status
> > > > > values. Or
> > > > > > > they could be mapped to some new elements within a tuple.
> > > > > They are a
> > > > > > > bit more complex than the what is currently defined by
> > > > > > > urn:ietf:params:cpim-presence:status-type:basic. There
> > > > > are a number of
> > > > > >
> > > > > > > preference parameter types (class, duplex, feature,
> > > > > language, media,
> > > > > > > mobility, methods, priority), and each in turn has an
> > > > > enumerated set
> > > > > > > of possible values. (There is also a "description"
> > > > > parameter, but it
> > > > > > > probably should be mapped to <note>, and a q-value
> > > that is already
> > > > > > > represented as the priority attribute of <contact>.)
> > > > > >
> > > > > > A new draft describing IMPP PIDF has been posted and
> > > should show up
> > > > > > shortly. It includes changes from recent IMPP
> > > discussions but still
> > > > > > leaves a few issues outstanding.
> > > > > >
> > > > > > One question I have with reference to the text above is
> > > > > regarding the
> > > > > > priority attribute of <contact>. In the current draft, the
> > > > > priority is
> > > > > > defined in the range 0 to 255. The description above
> > > > > suggests mapping a
> > > > > > q-value to the priority. What range does this have? Do
> > > you feel the
> > > > > > priority as currently defined is appropriate or are 
> there any
> > > > > > alternative suggestions?
> > > > >
> > > > > Hmm - good question. I had not looked very closely at the
> > > > > schema, and hadn't noticed that the priority range was 0-255.
> > > > > In callerprefs, the q-value is a real number in the
> > > > > range [0.0-1.0]. The good and the bad of that is that the
> > > > > precision isn't defined, so you potentially have an infinite
> > > > > number of values, but don't know how many will
> > > > > actually be supported.
> > > > >
> > > > > Of course it is possible to map between the two ranges,
> > > > > though problems of roundoff may occur.
> > > > >
> > > > > The mapping would be best if both standards agreed on the
> > > > > same range. The q-value definition is inherited by SIP (from
> > > > > HTTP?) so would be difficult to change. Is it
> > > > > possible to change this to match in PIDF? If not, maybe
> > > > > something new is needed for the q-value to map to. (But it
> > > > > would be ugly to have two priority values, without a
> > > > > clear reason for each.)
> > > > >
> > > > >       Paul
> > > > >
> > > > >
> > > > >
> > > > >   [reminder: [email-masked] for non-technical
> > > > > discussions, please]
> > > > >
> > > > _______________________________________________
> > > > simple mailing list
> > > > [email-masked]
> > > > http://mailman.dynamicsoft.com/mailman/listinfo/simple
> > >
> 
_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple